> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read masked saved-connection configuration



## OpenAPI

````yaml /openapi.json get /v1/connections/{connectionId}
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/connections/{connectionId}:
    get:
      tags:
        - Connections
      summary: Read masked saved-connection configuration
      operationId: get_connection
      parameters:
        - name: connectionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: org_id
          in: query
          schema:
            type: string
            minLength: 1
            description: >-
              Git-provider organization ID. Required for workspace keys; omit
              for organization keys. This differs from the CodeRabbit
              organization ID in scope.id.
          allowEmptyValue: true
          allowReserved: true
        - name: connectionPurpose
          in: query
          schema:
            enum:
              - runtime_access
              - trigger_source
            type: string
            default: runtime_access
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  connection:
                    anyOf:
                      - type: object
                        properties:
                          integrationId:
                            type: string
                            format: uuid
                          sourceId:
                            enum:
                              - amplemarket
                              - asana
                              - aws
                              - azure_devops
                              - bigquery
                              - bitbucket
                              - canva
                              - circleci
                              - custom
                              - customer_io
                              - datadog
                              - figma
                              - gcp
                              - google_cloud
                              - github
                              - gitlab
                              - gitlab_self_hosted
                              - gdrive
                              - google_ads
                              - google_analytics
                              - google_calendar
                              - google_search_console
                              - gong
                              - intercom
                              - jenkins
                              - jira
                              - linkedin_ads
                              - linear
                              - notion
                              - onedrive
                              - pagerduty
                              - pylon
                              - posthog
                              - reddit_ads
                              - x_ads
                              - salesforce
                              - semrush
                              - sentry
                              - trello
                              - zendesk
                              - hubspot
                            type: string
                          connectionName:
                            type: string
                            minLength: 2
                            maxLength: 160
                          description:
                            type: string
                            maxLength: 10000
                          connectionPurpose:
                            enum:
                              - runtime_access
                              - trigger_source
                            type: string
                            default: runtime_access
                          policyMode:
                            enum:
                              - read_only
                              - read_write
                            type: string
                          updatedAt:
                            type: string
                            format: date-time
                          requiresReconnect:
                            type: boolean
                            default: false
                          hasOAuthGrant:
                            type: boolean
                          mcp:
                            type: object
                            properties:
                              enabled:
                                type: boolean
                              serverOrigin:
                                anyOf:
                                  - type: string
                                  - type: string
                                    nullable: true
                                    enum:
                                      - null
                              transport:
                                enum:
                                  - sse
                                  - streamable_http
                                  - websocket
                                type: string
                              authMethod:
                                enum:
                                  - none
                                  - api_keys
                                  - oauth
                                type: string
                              allowedTools:
                                type: array
                                items:
                                  type: string
                            required:
                              - enabled
                              - serverOrigin
                              - transport
                        required:
                          - integrationId
                          - sourceId
                          - connectionName
                          - description
                          - updatedAt
                          - mcp
                      - type: string
                        nullable: true
                        enum:
                          - null
                required:
                  - connection
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - invalid_request
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - unauthenticated
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - forbidden
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - not_found
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: '409'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - head_changed
                          - conflict
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: '412'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - precondition_failed
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: '413'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - payload_too_large
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unavailable
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.